'use strict'
var __createBinding =
	(this && this.__createBinding) ||
	(Object.create
		? function (o, m, k, k2) {
				if (k2 === undefined) k2 = k
				Object.defineProperty(o, k2, {
					enumerable: true,
					get: function () {
						return m[k]
					},
				})
		  }
		: function (o, m, k, k2) {
				if (k2 === undefined) k2 = k
				o[k2] = m[k]
		  })
var __exportStar =
	(this && this.__exportStar) ||
	function (m, exports) {
		for (var p in m)
			if (p !== 'default' && !Object.prototype.hasOwnProperty.call(exports, p))
				__createBinding(exports, m, p)
	}
var __importDefault =
	(this && this.__importDefault) ||
	function (mod) {
		return mod && mod.__esModule ? mod : { default: mod }
	}
Object.defineProperty(exports, '__esModule', { value: true })
exports.local = void 0
const fs_1 = require('fs')
const path_1 = require('path')
const process_1 = require('process')
const errlop_1 = __importDefault(require('errlop'))
const index_js_1 = require('./index.js')
__exportStar(require('./index.js'), exports)
/**
 * Verify that the package directory declares a valid ECMAScript module file
 * @param packageRootDirectory the root path of the package directory to validate, defaults to the current working directory
 * @rejects if otherwise
 */
async function local(packageRootDirectory = process_1.cwd()) {
	let path = packageRootDirectory
	try {
		const data = JSON.parse(
			await fs_1.promises.readFile(
				path_1.join(packageRootDirectory, 'package.json'),
				'utf8'
			)
		)
		await index_js_1.json(data)
		path = path_1.join(packageRootDirectory, data.module)
		const content = await fs_1.promises.readFile(path, 'utf8')
		return await index_js_1.file(content)
	} catch (err) {
		return Promise.reject(
			new errlop_1.default(`${path} is not a valid module`, err)
		)
	}
}
exports.local = local
